# LECharMapper Class Reference

Instances of this class are used by `LEFontInstance::mapCharsToGlyphs` and `LEFontInstance::mapCharToGlyph` to adjust character codes before the character to glyph mapping process. More...

`#include <LEFontInstance.h>`

## Public Member Functions
virtual | ~LECharMapper ()
| Destructor.
virtual LEUnicode32 | mapChar (LEUnicode32 ch) const =0
| This method does the adjustments.

## Detailed Description

Instances of this class are used by `LEFontInstance::mapCharsToGlyphs` and `LEFontInstance::mapCharToGlyph` to adjust character codes before the character to glyph mapping process.

Examples of this are filtering out control characters and character mirroring - replacing a character which has both a left and a right hand form with the opposite form.

Stable:
  ICU 3.2

Definition at line 28 of file LEFontInstance.h.

## Constructor & Destructor Documentation

virtual LECharMapper::~LECharMapper | ( |  | ) | `[virtual]`

Destructor.

Stable:
  ICU 3.2

## Member Function Documentation

virtual LEUnicode32 LECharMapper::mapChar | ( | LEUnicode32 | ch | ) | const`[pure virtual]`

This method does the adjustments.

Parameters:

  | ch | - the input character

Returns:
  the adjusted character

Stable:
  ICU 2.8

The documentation for this class was generated from the following file:

- LEFontInstance.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines